16 de noviembre de 2018, 06:38:31 am

Autor Tema: intentando compilar nueva versión de Audacity, para probarla (resuelto)  (Leído 680 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Ricardo M. MORALES

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 689
  • Karma: +26/-0
    • Red Educativa Sanjuanina
hola, descargué e intenté instalar, pero me da un error, y no encuentro por qué.

el archivo y referencias los tomé del sitio oficial de audacity.

probé las instrucciones que conozco, lo que indica en las referencias, incluso lo que indica para principiantes, con este resultado, siempre:
Código: [Seleccionar]
alumno@huayra:...$ ls -lFa configure
-rwxr-xr-x 1 alumno alumno 845782 mar  4 20:58 configure*
alumno@huayra:...$ sudo ./configure
bash: ./configure: Permiso denegado

La prueba es en un equipo de 64 bits, con Huayra 3 final instalado, no actualizado.

Revisé las librerías y dependencias necesarias, y creo que están. En todo caso, me parece que este error no va por ahí.

¿qué puedo hacer o revisar para que funcione? Gracias :-)
« Última Modificación: 05 de abril de 2015, 03:19:32 pm por Ricardo M. MORALES »
Ricardo M. MORALES (Rivadavia)
Red Educativa Sanjuanina
San Juan, Argentina
"No les des peces, enséñales a poner la mesa, para que mami sirva la comida. Educación Privativa del Siglo XX. ¿Cuántos se quedaron allá?" (AutoDelirium)

Desconectado Pablo Zambrano

  • Curso: Radio
  • Usuario Sr.
  • *
  • Mensajes: 289
  • Karma: +36/-0
Re:intentando compilar nueva versión de Audacity, para probarla
« Respuesta #1 : 05 de abril de 2015, 12:41:05 am »
Estuve probando pero en Huayra 3 32 bits y la compilada va bien hasta el final del make install. En estos días vuelvo a probar de nuevo y veo en qué metí la pata.
Pero pareciera que va a funcionar.

Saludos.

Desconectado Ricardo M. MORALES

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 689
  • Karma: +26/-0
    • Red Educativa Sanjuanina
Re:intentando compilar nueva versión de Audacity, para probarla
« Respuesta #2 : 05 de abril de 2015, 03:17:47 pm »
como me pasaba con otros bash, incluso con algunos que funcionaban, busqué el error con google, y encontré que era porque la partición no estaba configurada como ejecutable.

para arreglarlo, en el archivo /etc/fstab, en la línea de la partición correspondiente, hay que agregar ",exec", luego de donde dice "user", quedando (en mi caso), de este modo
Código: [Seleccionar]
/dev/sda4 /media/DATOS ext4 defaults,user,exec 0 1
comparto por si sirve a otros, y marco como resuelto.

el tema de esta consulta está resuelto, queda por ver la compilación y armado del paquete para que tengamos la nueva versión de audacity disponible en repositorio, o al menos una mas nueva que la disponible en debian jessie.

gracias :)
« Última Modificación: 07 de abril de 2015, 06:06:32 am por Ricardo M. MORALES »
Ricardo M. MORALES (Rivadavia)
Red Educativa Sanjuanina
San Juan, Argentina
"No les des peces, enséñales a poner la mesa, para que mami sirva la comida. Educación Privativa del Siglo XX. ¿Cuántos se quedaron allá?" (AutoDelirium)